curl --request POST \
--url https://api.rownd.io/applications/{app}/oidc-clients \
--header 'Content-Type: application/json' \
--header 'x-rownd-app-key: <api-key>' \
--header 'x-rownd-app-secret: <api-key>' \
--data '
{
"name": "Example OIDC Provider",
"description": "Example OIDC Provider",
"config": {
"allowed_origins": [
"https://example.com"
],
"redirect_uris": [
"https://example.com/callback"
],
"post_logout_uris": [
"https://example.com/logout"
],
"logo_uri": "https://storage.rownd.io/logo-oidc-client-app_1234_oidcc_5667-filename.png",
"logo_dark_mode_uri": "https://storage.rownd.io/logo-oidc-client-app_1234_oidcc_5667-filename.png",
"allowed_scopes": [
"openid",
"profile",
"email"
],
"hub_title": "Sign in to My App with Another App",
"hub_dark_mode": "enabled",
"hub_show_logos": true,
"is_pkce_supported": true
}
}
'import requests
url = "https://api.rownd.io/applications/{app}/oidc-clients"
payload = {
"name": "Example OIDC Provider",
"description": "Example OIDC Provider",
"config": {
"allowed_origins": ["https://example.com"],
"redirect_uris": ["https://example.com/callback"],
"post_logout_uris": ["https://example.com/logout"],
"logo_uri": "https://storage.rownd.io/logo-oidc-client-app_1234_oidcc_5667-filename.png",
"logo_dark_mode_uri": "https://storage.rownd.io/logo-oidc-client-app_1234_oidcc_5667-filename.png",
"allowed_scopes": ["openid", "profile", "email"],
"hub_title": "Sign in to My App with Another App",
"hub_dark_mode": "enabled",
"hub_show_logos": True,
"is_pkce_supported": True
}
}
headers = {
"x-rownd-app-key": "<api-key>",
"x-rownd-app-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-rownd-app-key': '<api-key>',
'x-rownd-app-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Example OIDC Provider',
description: 'Example OIDC Provider',
config: {
allowed_origins: ['https://example.com'],
redirect_uris: ['https://example.com/callback'],
post_logout_uris: ['https://example.com/logout'],
logo_uri: 'https://storage.rownd.io/logo-oidc-client-app_1234_oidcc_5667-filename.png',
logo_dark_mode_uri: 'https://storage.rownd.io/logo-oidc-client-app_1234_oidcc_5667-filename.png',
allowed_scopes: ['openid', 'profile', 'email'],
hub_title: 'Sign in to My App with Another App',
hub_dark_mode: 'enabled',
hub_show_logos: true,
is_pkce_supported: true
}
})
};
fetch('https://api.rownd.io/applications/{app}/oidc-clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "oidc_client_ck9c1glf0100001l2f7z8z9z9",
"app_id": "app_ckl8bcf1g000001l2f7z8z9z9",
"name": "Example OIDC Provider",
"description": "Example OIDC Provider",
"config": {
"allowed_origins": [
"https://example.com"
],
"redirect_uris": [
"https://example.com/callback"
],
"post_logout_uris": [
"https://example.com/logout"
],
"logo_uri": "https://storage.rownd.io/logo-oidc-client-app_1234_oidcc_5667-filename.png",
"logo_dark_mode_uri": "https://storage.rownd.io/logo-oidc-client-app_1234_oidcc_5667-filename.png",
"allowed_scopes": [
"openid",
"profile",
"email"
],
"hub_title": "Sign in to My App with Another App",
"hub_dark_mode": "enabled",
"hub_show_logos": true,
"is_pkce_supported": true
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"credentials": [
{
"name": "Production API Key",
"client_id": "<string>",
"secret": "<string>",
"expires": "2024-12-31T23:59:59Z",
"application": "app_k3y1qwerty12345",
"app_variant_id": "variant_fgy1qw367fty121lm",
"oidc_client_configuration_id": "oidcc_k3y1qwerty12345",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Create an OpenID Connect client
Platform API for creating an OIDC client for an application
Authorizations
The publishable key of your application credentials. (more details)
The private secret of your application credentials. (more details)
Path Parameters
Rownd application ID
Query Parameters
Number of resources to return per query. Max is 1000.
ID of the last resource in the previous page. If provided, the next page of results is returned beginning with this resource ID.
Which direction to sort the results
asc, desc Body
Response
OIDC client created successfully
Unique identifier for the OIDC client
"oidc_client_ck9c1glf0100001l2f7z8z9z9"
Application identifier associated with the OIDC client
"app_ckl8bcf1g000001l2f7z8z9z9"
Name of the OIDC client
"Example OIDC Provider"
Description of the OIDC client
"Example OIDC Provider"
Show child attributes
Show child attributes
The ISO 8601 date-time that the resource was created
The ISO 8601 date-time that the resource was updated
Credentials associated with the OIDC client
Show child attributes
Show child attributes